Subject: Re: bug#21923: 24.4; Image refresh does not refreshed modified file

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Nov 2015 17:50:36 +0200

> From: Sam Sinayoko <[email-masked]>
> Date: Sat, 14 Nov 2015 20:00:29 +0000
> 
> The image does not refresh even if it has been modified. The test below
> opens an image in emacs, then swaps the image with a second (different)
> image, before re-opening the first, now modified, image. Even after
> refreshing the buffer with g, the image still looks like the original
> image instead of the new one.

I cannot reproduce this (but I'm not on Darwin).

Is this in "emacs -Q"?  If not, please try in "emacs -Q", maybe it's
some customization you have there.  (I'm confused by your mentioning
of "refreshing with g", which seems to hint on Dired?)

If this happens in "emacs -Q", it might be specific to Darwin.  In any
case, if you can try this in a later version, it will help, in case we
already fixed this even on Darwin.

Thanks.